$(function(){
	$('#content').one("click", function(){$('#content').val('');$('#content').css({color:"black", padding:"8px"});$('#hidden').val('1')});
	$('#addNo').click(function(){
		$('#addVideo').css('background','white');
		$('#addVideo').css('color','black');
		
		$('#addPic').css('background','white');
		$('#addPic').css('color','black');
		
		$('#addNo').css('background','blue');
		$('#addNo').css('color','white');
		
		$('#pic').val('');
		$('#video').val('');
		$('#showPic').css('display','none');
		$('#showVideo').css('display','none');
	});
	$('#addPic').click(function(){
		$('#addVideo').css('background','white');
		$('#addVideo').css('color','black');
		
		$('#addNo').css('background','white');
		$('#addNo').css('color','black');
		
		$('#addPic').css('background','blue');
		$('#addPic').css('color','white');
		
		$('#video').val('');
		$('#showVideo').css('display','none');
		$('#showPic').css('display','block');
	});
	$('#addVideo').click(function(){
		$('#addPic').css('background','white');
		$('#addPic').css('color','black');
		
		$('#addNo').css('background','white');
		$('#addNo').css('color','black');
		
		$('#addVideo').css('background','blue');
		$('#addVideo').css('color','white');
		
		$('#showPic').css('display','none');
		$('#pic').val('');
		$('#showVideo').css('display','block');
		$('#video').focus();
	});
	$('#verify').keydown(function(event){
		if(event.keyCode == '13') checkAdd();
	});
})
function fleshVerify(url){
	var timenow = new Date().getTime();
	document.getElementById('verifyImg').src= url+"/verify/"+timenow;
}
function checkAdd(){
	$("#error").html('<img align="absmiddle" src="/Public/source/loading.gif"/>提交检测中..');
	if($('#hidden').val()=='0'){
		var content = '';
	}else{
		var content = $('#content').val();
	}	
	var email = $('#email').val();
	var tag = $('#tag').val();
	var pic = $('#pic').val();
	var video = $('#video').val();
	var verify = $('#verify').val();
	$.ajax({
		type: "POST",
		url: "/index.php/Add/checkForm",
		data: "content="+content+"&email="+email+"&tag="+tag+"&pic="+pic+"&video="+video+"&verify="+verify,
		success: function(msg){
			var error = '<img align="absmiddle" src="/Public/source/error.gif"/>';
			if(msg == '-1'){
				$("#error").html(error+'验证码错误..');
				$('#verify').focus();
				return false;
			}
			if(msg == '-3'){
				$("#error").html(error+'没发图片或视频,那内容必须填的..');
				$('#content').html('');
				$('#content').focus();
				return false;
			}
			if(msg == '-4'){
				$("#error").html(error+'最多只能添加3个标签..');
				$('#tag').focus();
				return false;
			}
			if(msg == '-5'){
				$("#error").html(error+'图片和视频只能选择一样!..');
				$('#video').focus();
				return false;
			}
			if(msg == '-6'){
				$("#error").html(error+'视频地址不存在!..');
				$('#video').focus();
				return false;
			}
			if(msg == '-7'){
				$("#error").html(error+'邮箱如果写了,请写正确格式!..');
				$('#email').focus();
				return false;
			}
			$('#form1').attr('action','/index.php/Index/checkAdd');
			$('#form1').submit();
		}
	});
}